MediaWiki:Common.css: Difference between revisions

mNo edit summary
m Relocating to a Monacobook specific css file
Line 108: Line 108:
.tt1_nowrap {
.tt1_nowrap {
white-space: nowrap;
white-space: nowrap;
}
/* Fixes paving way for a new header ad, */
/* but also fixing some REALLY BAD DESIGN */
/* in Monobook. why the hell is everything absolutely positioned? */
#p-personal {
  position: relative;
}
#top-ad {
  width: 468px;
  margin: 0;
  padding: 0;
  margin-left: 260px;
  float: left;
}
#p-personal .pBody {
  float: right;
}
#p-cactions {
  position: relative;
}
#content {
  margin-top: 16px !important;
  position: relative;
}
}

Revision as of 18:59, 10 June 2009

/***** CSS placed here will be applied to all skins on the entire site. *****/
/* <s>See also: [[MediaWiki:Monobook.css]]</s> */
/* Or actually don't see it, because it's not useful. Only Common.css and your */
/* your own custom css files get loaded. */
/* <pre> */

@import "http://emopanda.com/tmp/tfwiki_tmp_global.css";

/* Mark redirects in Special:Allpages and Special:Watchlist */
.allpagesredirect { font-style: italic; }
.watchlistredir { font-style: italic; }

/* Giving headers and TOC a little extra space */
h2 {margin-top: 20px;}

.toc {margin-top: 20px;}

/* Infobox template style */
.infobox {
   border: 1px solid #aaaaaa;
   background-color: #f9f9f9;
   color: black;
   margin-bottom: 0.5em;
   margin-left: 1em;
   padding: 0.2em;
   float: right;
   clear: right;
}
.infobox td,
.infobox th {
   vertical-align: top;
}
.infobox caption {
   font-size: larger;
   margin-left: inherit;
}
.infobox.bordered {
   border-collapse: collapse;
}
.infobox.bordered td,
.infobox.bordered th {
   border: 1px solid #aaaaaa;
}
.infobox.bordered .borderless td,
.infobox.bordered .borderless th {
   border: 0;
}

/* Forum formatting (by -Algorithm & -Splaka) */
.forumheader {
     border: 1px solid #aaa;
     background-color: #f9f9f9; margin-top: 1em; padding: 12px;
}
.forumlist td.forum_edited a {
     color: black; text-decoration: none
}
.forumlist td.forum_title a {
     padding-left: 20px;
}
.forumlist td.forum_title a.forum_new {
     font-weight: bold; background: url(/images/4/4e/Forum_new.gif)
     center left no-repeat; padding-left: 20px;
}
.forumlist td.forum_title a.forum_new:visited {
     font-weight: normal; background: none; padding-left: 20px;
}
.forumlist th.forum_title {
     padding-left: 20px;
}

/* Recent changes byte indicators */
.mw-plusminus-pos { color: #006500; }
.mw-plusminus-neg { color: #8B0000; }


/* wikitable/prettytable class for skinning normal tables */
/* everything below is imported from Monobook.css, blame Derik if it blows up */

table.wikitable,
table.prettytable {
  margin: 1em 1em 1em 0;
  background: #f9f9f9;
  border: 1px #aaa solid;
  border-collapse: collapse;
}

table.wikitable th, table.wikitable td,
table.prettytable th, table.prettytable td {
  border: 1px #aaa solid;
  padding: 0.2em;
}

table.wikitable th,
table.prettytable th {
  background: #f2f2f2;
  text-align: center;
}

table.wikitable caption,
table.prettytable caption {
  margin-left: inherit;
  margin-right: inherit;
  font-weight: bold;
}

/* TELETRAN-1 SPECIFIC BITS */

.tt1_nowrap {
white-space: nowrap;
}